---
title: "Release v0.20.0"
linkTitle: "Release v0.20.0"
date: 2021-10-14
description: >
 Release v0.20.0
---

## Changelog since v0.18.0

### New Features

* Piped Operation
    - Remote upgrade - ability to upgrade Piped from the web console ([Doc](https://pipecd.dev/docs/operator-manual/piped/remote-upgrade-remote-config/#remote-upgrade))
    - Remote config - watch and reload configuration from a remote location such as a Git repository ([Doc](https://pipecd.dev/docs/operator-manual/piped/remote-upgrade-remote-config/#remote-upgrade))

* Automated Deployment Analysis
    - Add ability to perform ADA using dynamic data ([Doc](https://pipecd.dev/docs/user-guide/automated-deployment-analysis/#strategies))

* Lambda Deployment
    - Add ability to deploy Lambda application from source code ([Doc](https://pipecd.dev/docs/user-guide/configuring-deployment/lambda/#deploy-source-code-directly-as-lambda-function))
    - Add ability to deploy Lambda zip packing function code stored in AWS S3 ([Doc](https://pipecd.dev/docs/user-guide/configuring-deployment/lambda/#deploy-zip-file-archives-as-lambda-function))


### Notable Changes

* Fix a bug that not allowed users can approve the WAIT_APPROVAL stage ([#2602](https://github.com/pipe-cd/pipecd/pull/2602))
* Add `Mention to` field to the Slack notification ([#2578](https://github.com/pipe-cd/pipecd/pull/2578))
* Show piped name in Piped notification ([#2541](https://github.com/pipe-cd/pipecd/pull/2541))
* The way of attaching sensitive data to the Secret manifest while installing Piped via Helm chart was changed. This change makes it possible to specify any data to it instead of just predefined ones. ([#2559](https://github.com/pipe-cd/pipecd/pull/2559))

### Internal Changes

* Enable to a specific project to login to by project query params in the URL ([#2543](https://github.com/pipe-cd/pipecd/pull/2543))
* Avoid showing an empty view in case of access to an invalid path ([#2548](https://github.com/pipe-cd/pipecd/pull/2548))
* Introduce launcher a component to manage Piped agent ([#2557](https://github.com/pipe-cd/pipecd/pull/2557))
* Do not overwrite the previous value of different keys in deployment's metadata ([#2633](https://github.com/pipe-cd/pipecd/pull/2633))
* Add some tests and fix a bug that error occurs when approvers are nil ([#2629](https://github.com/pipe-cd/pipecd/pull/2629))
* Add docs for remote-upgrade and remote-config ([#2631](https://github.com/pipe-cd/pipecd/pull/2631))
* Add missing ecs default livestate store ([#2632](https://github.com/pipe-cd/pipecd/pull/2632))
* Fix display wrong value for version selector box ([#2630](https://github.com/pipe-cd/pipecd/pull/2630))
* Add guide to enable remote-upgrade and auto-config features of Piped in Kubernetes ([#2613](https://github.com/pipe-cd/pipecd/pull/2613))
* Add docs for Lambda function from source code feature ([#2615](https://github.com/pipe-cd/pipecd/pull/2615))
* Add docs on pipectl encrypt command ([#2610](https://github.com/pipe-cd/pipecd/pull/2610))
* Update the docs to show how to use dynamic ADA ([#2562](https://github.com/pipe-cd/pipecd/pull/2562))
* Add ability to view documentation by version ([#2628](https://github.com/pipe-cd/pipecd/pull/2628))
* Fix the error message that a user is not included in approvers ([#2626](https://github.com/pipe-cd/pipecd/pull/2626))
* Update the helth description for non-built-in resources ([#2624](https://github.com/pipe-cd/pipecd/pull/2624))
* Update user guide examples' index ([#2619](https://github.com/pipe-cd/pipecd/pull/2619))
* Make SourceCode.Path not required as Lambda function manifest configuration ([#2625](https://github.com/pipe-cd/pipecd/pull/2625))
* Update determine version for source code packing lambda deployment ([#2623](https://github.com/pipe-cd/pipecd/pull/2623))
* Upgrade docsy to fix a bug related to offline search ([#2621](https://github.com/pipe-cd/pipecd/pull/2621))
* Update docsy to latest version ([#2620](https://github.com/pipe-cd/pipecd/pull/2620))
* Remove ioutil package from Pipecd's dependencies ([#2616](https://github.com/pipe-cd/pipecd/pull/2616))
* Update Kapetanios build to use latest Hugo image ([#2618](https://github.com/pipe-cd/pipecd/pull/2618))
* Update hugo image to use hugo 0.88.1 ([#2617](https://github.com/pipe-cd/pipecd/pull/2617))
* Update docs by removing doc for sealed-secret and adding missing config references ([#2614](https://github.com/pipe-cd/pipecd/pull/2614))
* Be more clear about what dynamic ADA does ([#2586](https://github.com/pipe-cd/pipecd/pull/2586))
* Fix formatting errors ([#2612](https://github.com/pipe-cd/pipecd/pull/2612))
* Add sub-command to encrypt data with the registered public key ([#2600](https://github.com/pipe-cd/pipecd/pull/2600))
* Support mentioning users in the TRIGGERED event for other than k8s ([#2608](https://github.com/pipe-cd/pipecd/pull/2608))
* Avoid panic while triggering deployment for the kind that not k8s ([#2606](https://github.com/pipe-cd/pipecd/pull/2606))
* Fix small parts of the log message ([#2603](https://github.com/pipe-cd/pipecd/pull/2603))
* Add the Overview page with translating in Japanese to the document ([#2604](https://github.com/pipe-cd/pipecd/pull/2604))
* Empower all commands to handle input to stdin ([#2598](https://github.com/pipe-cd/pipecd/pull/2598))
* Add an API to encrypt using the registered public key ([#2595](https://github.com/pipe-cd/pipecd/pull/2595))
* Fix missing flags of ignoring list in Launcher ([#2597](https://github.com/pipe-cd/pipecd/pull/2597))
* Tiny fix on the secret management docs ([#2596](https://github.com/pipe-cd/pipecd/pull/2596))
* Rename some parameters for Piped chart ([#2594](https://github.com/pipe-cd/pipecd/pull/2594))
* Fix wrong format of Envs passed to Git client ([#2593](https://github.com/pipe-cd/pipecd/pull/2593))
* Tiny fix on pipectl documentation ([#2592](https://github.com/pipe-cd/pipecd/pull/2592))
* Disable host key checking while cloning source in Launcher ([#2589](https://github.com/pipe-cd/pipecd/pull/2589))
* Update determine version for s3 stored zip packing lambda deployment ([#2588](https://github.com/pipe-cd/pipecd/pull/2588))
* Fix several warnings while compiling source code due to unneeded imports ([#2591](https://github.com/pipe-cd/pipecd/pull/2591))
* Send DEPLOYMENT_APPROVED event to Slack ([#2590](https://github.com/pipe-cd/pipecd/pull/2590))
* Add ability to notify `DEPLOYMENT_APPROVED` event to Slack ([#2587](https://github.com/pipe-cd/pipecd/pull/2587))
* Refactor the logic of getting mentioned accounts and avoid panic there ([#2582](https://github.com/pipe-cd/pipecd/pull/2582))
* Enable to mention users in Piped notification when TRIGGERED event is fired ([#2581](https://github.com/pipe-cd/pipecd/pull/2581))
* Refactor the logic of getting config of the repository ([#2584](https://github.com/pipe-cd/pipecd/pull/2584))
* Add missing ssh-key arg to Piped helm chart ([#2585](https://github.com/pipe-cd/pipecd/pull/2585))
* Add small tips for contributors to the document ([#2583](https://github.com/pipe-cd/pipecd/pull/2583))
* Add configuration for Launcher in Piped chart ([#2579](https://github.com/pipe-cd/pipecd/pull/2579))
* Fix to pass piped-id to ensure valid application ([#2580](https://github.com/pipe-cd/pipecd/pull/2580))
* Prevent a panic by checking if notification is not nil ([#2576](https://github.com/pipe-cd/pipecd/pull/2576))
* Add examples and docs for Lambda zip packing s3 stored function code ([#2575](https://github.com/pipe-cd/pipecd/pull/2575))
* Enable to mention users in Piped notification when a DEPLOYMENT_PLANNED event is triggered ([#2552](https://github.com/pipe-cd/pipecd/pull/2552))
* Add Lambda function runtime to function manifest ([#2574](https://github.com/pipe-cd/pipecd/pull/2574))
* Ensure to default values within a map ([#2573](https://github.com/pipe-cd/pipecd/pull/2573))
* Add explanations to guide users to create the new PIPED key ([#2569](https://github.com/pipe-cd/pipecd/pull/2569))
* Make git client accept environment variables for git command ([#2568](https://github.com/pipe-cd/pipecd/pull/2568))
* Break launcher into a separate binary ([#2566](https://github.com/pipe-cd/pipecd/pull/2566))
* Update contributor list ([#2563](https://github.com/pipe-cd/pipecd/pull/2563))
* Add the checkbox column to show which events are supported events. ([#2555](https://github.com/pipe-cd/pipecd/pull/2555))
* Show desired version in piped list page if it is different from the currently running one ([#2554](https://github.com/pipe-cd/pipecd/pull/2554))
* Add RPC to update the desired version for a list of pipeds ([#2553](https://github.com/pipe-cd/pipecd/pull/2553))
* Add apiregistration.k8s.io/* API to the default watching the list of Kubernetes ([#2438](https://github.com/pipe-cd/pipecd/pull/2438))
* Enable to mention users in Piped notification when a DeploymentCompleted related event is triggered ([#2545](https://github.com/pipe-cd/pipecd/pull/2545))
* Add authorization.k8s.io/* API to the default watching the list of Kubernetes ([#2443](https://github.com/pipe-cd/pipecd/pull/2443))
* Fix to not validate configuration when using AnalysisTemplate ([#2547](https://github.com/pipe-cd/pipecd/pull/2547))
* Fix unable to back from login form ([#2546](https://github.com/pipe-cd/pipecd/pull/2546))
* Ensure to validate ADA configurations on loading ([#2544](https://github.com/pipe-cd/pipecd/pull/2544))
* Retrieve Piped name from control-plane ([#2536](https://github.com/pipe-cd/pipecd/pull/2536))
* Add RPC to retrieve desired Piped version ([#2535](https://github.com/pipe-cd/pipecd/pull/2535))
* Always add the project as pipecd URL query params ([#2534](https://github.com/pipe-cd/pipecd/pull/2534))
* Add the note about hugo installation ([#2533](https://github.com/pipe-cd/pipecd/pull/2533))
* Remove unneeded ADA evaluator ([#2532](https://github.com/pipe-cd/pipecd/pull/2532))
* Use metrics analyzer to perform ADA for each strategy ([#2531](https://github.com/pipe-cd/pipecd/pull/2531))
* Update feature status ([#2527](https://github.com/pipe-cd/pipecd/pull/2527))
* Fix ADA examples to not use threshold ([#2530](https://github.com/pipe-cd/pipecd/pull/2530))
