---
title: "Release v0.9.0"
linkTitle: "Release v0.9.0"
date: 2020-11-19
description: >
  Release v0.9.0
---

## Changelog since v0.8.0

### Notable Changes
* Enable key-rotation ability for piped key ([#1112](https://github.com/pipe-cd/pipecd/pull/1112))
* Fix a bug that the web periodically jumped to the log viewer of the running stage ([#1105](https://github.com/pipe-cd/pipecd/pull/1105))
* Fix a bug that cannot set RBAC when it was not configured yet ([#1095](https://github.com/pipe-cd/pipecd/pull/1095))
* Add application kind to the deployment list page ([#1064](https://github.com/pipe-cd/pipecd/pull/1064))
* Fix a crash bug of piped while starting up ([#1056](https://github.com/pipe-cd/pipecd/pull/1056))
* Show application kind on the application list ([#1055](https://github.com/pipe-cd/pipecd/pull/1055))
* Show traffic routing percentage on K8S_TRAFFIC_ROUTING stage ([#1048](https://github.com/pipe-cd/pipecd/pull/1048))
* Add ability to specify Kustomize's options ([#1040](https://github.com/pipe-cd/pipecd/pull/1040))

### Internal Changes
* Update FAQ ([#1125](https://github.com/pipe-cd/pipecd/pull/1125))
* Fix an error message for the failed to fetch application live state ([#1124](https://github.com/pipe-cd/pipecd/pull/1124))
* Fix toast severity for RBAC updating failure ([#1091](https://github.com/pipe-cd/pipecd/pull/1091))
* Update feature status ([#1123](https://github.com/pipe-cd/pipecd/pull/1123))
* Show the log viewer of the last stage by default ([#1044](https://github.com/pipe-cd/pipecd/pull/1044))
* Fix the summary sentence of kubernetes planner ([#1122](https://github.com/pipe-cd/pipecd/pull/1122))
* Refactor kubernetes executor ([#1121](https://github.com/pipe-cd/pipecd/pull/1121))
* Fix the bug that caused validtion error while registering a new piped ([#1120](https://github.com/pipe-cd/pipecd/pull/1120))
* Add deployment URL to the toast that showing after triggering application sync ([#1020](https://github.com/pipe-cd/pipecd/pull/1020))
* Refactor AddPipdeForm ([#1119](https://github.com/pipe-cd/pipecd/pull/1119))
* Fix wrong returning status in terraform executor ([#1118](https://github.com/pipe-cd/pipecd/pull/1118))
* Refactor terraform executor ([#1116](https://github.com/pipe-cd/pipecd/pull/1116))
* Fix displaying of the pipeline that exceed the screen width ([#1115](https://github.com/pipe-cd/pipecd/pull/1115))
* Add guide to run control-plane locally by using envoy ([#1113](https://github.com/pipe-cd/pipecd/pull/1113))
* Typos fix and minor texts clarifying ([#1111](https://github.com/pipe-cd/pipecd/pull/1111))
* Use a separate deploy source provider to load the config instead of using stage's one ([#1110](https://github.com/pipe-cd/pipecd/pull/1110))
* Refactor executors for cloudrun deployment ([#1108](https://github.com/pipe-cd/pipecd/pull/1108))
* Fix the bug that api crashes when RBAC was not configured ([#1107](https://github.com/pipe-cd/pipecd/pull/1107))
* Stop requesting the stage log if deployment status is planned or pending ([#1106](https://github.com/pipe-cd/pipecd/pull/1106))
* Simplify piped controller by introducing a new deploysource package ([#1101](https://github.com/pipe-cd/pipecd/pull/1101))
* Refactor add application drawer component ([#1100](https://github.com/pipe-cd/pipecd/pull/1100))
* Add test cases for ensuring canary rollout ([#1099](https://github.com/pipe-cd/pipecd/pull/1099))
* Add notes on using pod selector as a traffic routing method ([#1098](https://github.com/pipe-cd/pipecd/pull/1098))
* Ensure to check variant label only when necessary ([#1097](https://github.com/pipe-cd/pipecd/pull/1097))
* Remove old error toasts ([#1096](https://github.com/pipe-cd/pipecd/pull/1096))
* Stop checking if variant selector is in the workload ([#1093](https://github.com/pipe-cd/pipecd/pull/1093))
* Fix to do not filter out service manifests ([#1079](https://github.com/pipe-cd/pipecd/pull/1079))
* Remove TRAFFIC_ROUTINE stage from bluegreen example ([#1092](https://github.com/pipe-cd/pipecd/pull/1092))
* Fix the command to generate encryption key in string ([#1087](https://github.com/pipe-cd/pipecd/pull/1087))
* Use formik to create a form ([#1085](https://github.com/pipe-cd/pipecd/pull/1085))
* Update deployment detail test ([#1084](https://github.com/pipe-cd/pipecd/pull/1084))
* Fix html file for web ([#1083](https://github.com/pipe-cd/pipecd/pull/1083))
* Revert "Add a flag to change the web API endpoint (#1080)" ([#1082](https://github.com/pipe-cd/pipecd/pull/1082))
* Add a flag to change the web API endpoint ([#1080](https://github.com/pipe-cd/pipecd/pull/1080))
* Add test cases to ensure proper synchronization ([#1078](https://github.com/pipe-cd/pipecd/pull/1078))
* Add tests for ensuring kubernetes sync ([#1076](https://github.com/pipe-cd/pipecd/pull/1076))
* Rename bin-dir to tools-dir ([#1075](https://github.com/pipe-cd/pipecd/pull/1075))
* Add mock for kubernetes provider ([#1074](https://github.com/pipe-cd/pipecd/pull/1074))
* Rename tool directory in piped-base image ([#1073](https://github.com/pipe-cd/pipecd/pull/1073))
* Refactor AddApplicationForm component ([#1071](https://github.com/pipe-cd/pipecd/pull/1071))
* Ensure to sync progressively when configmap/secret added/deleted ([#1068](https://github.com/pipe-cd/pipecd/pull/1068))
* Add namespace flag to the instruction to add a project ([#1067](https://github.com/pipe-cd/pipecd/pull/1067))
* Add tests to guarantee to remove only expected resources ([#1070](https://github.com/pipe-cd/pipecd/pull/1070))
* Refactor application detail component ([#1066](https://github.com/pipe-cd/pipecd/pull/1066))
* Refactor deployment detail component ([#1065](https://github.com/pipe-cd/pipecd/pull/1065))
* Ensure to give back resources owned by requested Piped ([#1061](https://github.com/pipe-cd/pipecd/pull/1061))
* Fix a bug that piped was unable to send stage logs after restarting ([#1063](https://github.com/pipe-cd/pipecd/pull/1063))
* Fix a bug that piped was handling only one stage LogPersister at a time ([#1060](https://github.com/pipe-cd/pipecd/pull/1060))
* Update bazel to 3.7.0, rules_go to v0.24.5 ([#1059](https://github.com/pipe-cd/pipecd/pull/1059))
* Fix the bug that user was able to see some web contents from other projects ([#1053](https://github.com/pipe-cd/pipecd/pull/1053))
* Remove outdated flags from Piped Development Contribute Guide ([#1054](https://github.com/pipe-cd/pipecd/pull/1054))
* Fix a bug that not showing edit button for RBAC if RBAC not configured ([#1052](https://github.com/pipe-cd/pipecd/pull/1052))
* Show missing empy string node in the diff message ([#1047](https://github.com/pipe-cd/pipecd/pull/1047))
* Add config validation for unknown fields ([#1043](https://github.com/pipe-cd/pipecd/pull/1043))
* Skip the log of CANCELLED error while shutting down ([#1042](https://github.com/pipe-cd/pipecd/pull/1042))
* Fix the bug that cancelling a planning deployment causes the piped to be blocked ([#1038](https://github.com/pipe-cd/pipecd/pull/1038))
* Refactor the failure messages of planner ([#1037](https://github.com/pipe-cd/pipecd/pull/1037))
* Hide disabled piped on the add application form ([#1036](https://github.com/pipe-cd/pipecd/pull/1036))
* Do not decrypt the shared SSO configuration ([#1035](https://github.com/pipe-cd/pipecd/pull/1035))
* Change the default log encoding to humanize ([#1034](https://github.com/pipe-cd/pipecd/pull/1034))
* Refactor the error messages of the web api ([#1033](https://github.com/pipe-cd/pipecd/pull/1033))
* Refactor log messages in the controller component ([#1032](https://github.com/pipe-cd/pipecd/pull/1032))
* UI: Fix a bug that the filter at application list page was affected by the filter value at deployment list ([#1029](https://github.com/pipe-cd/pipecd/pull/1029))
* Update piped-base to 0.1.4 ([#1030](https://github.com/pipe-cd/pipecd/pull/1030))
* Fix wrong diff layout for slice ([#1028](https://github.com/pipe-cd/pipecd/pull/1028))
* Fix typos ([#1027](https://github.com/pipe-cd/pipecd/pull/1027))
* UI: Add a copy button to the deployment config templates form ([#1025](https://github.com/pipe-cd/pipecd/pull/1025))
* UI - fix a bug that shows error at unintended times on the application detail page ([#1024](https://github.com/pipe-cd/pipecd/pull/1024))
* Update alpine to 3.12.1 ([#1023](https://github.com/pipe-cd/pipecd/pull/1023))
* Use COPY instead of ADD ([#1022](https://github.com/pipe-cd/pipecd/pull/1022))
* UI - abbreviate long stage name ([#1021](https://github.com/pipe-cd/pipecd/pull/1021))
